petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMFFDSetOptionsPrefix

Sets the prefix used for searching for all MatMFFD options in the database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetOptionsPrefix(Mat mat,const char prefix[])

Collective on Mat

### Input Parameter

| A | - the Mat context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

SNES, matrix-free, parameters

### See Also

MatSetFromOptions(), MatCreateSNESMF(), MatCreateMFFD()

### Level

advanced

### Location

src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages